Bug 768100 - Review Request: trac-mastertickets-plugin - Add support for ticket dependencies to Trac
Summary: Review Request: trac-mastertickets-plugin - Add support for ticket dependenci...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-15 18:38 UTC by Pierre-YvesChibon
Modified: 2012-01-07 23:00 UTC (History)
3 users (show)

Fixed In Version: trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-07 02:30:08 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-12-15 18:38:15 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/trac-mastertickets-plugin.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/trac-mastertickets-plugin-3.0.2-1.20111215.git43a7537.el6.src.rpm
Description: 
This plugin adds "blocks" and "blocked by" fields to each ticket, enabling
you to express dependencies between tickets. It also provides a
graphviz-based dependency-graph feature for those tickets having
dependencies specified, allowing you to visually understand the
dependency tree. The dependency graph is viewable by clicking 'depgraph' in
the context (in the upper right corner) menu when viewing a ticket that
blocks or is blocked by another ticket.

Comment 1 Kevin Fenzi 2011-12-15 21:03:58 UTC
I will review this package

Comment 3 Kevin Fenzi 2011-12-15 22:23:31 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
8647f79046d53bc964961eb7687fa402  trac-mastertickets-plugin-3.0.2-20111215.git43a7537.tar.xz
8647f79046d53bc964961eb7687fa402  ../trac-mastertickets-plugin-3.0.2-20111215.git43a7537.tar.xz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. It might be nice for upstream to include a copy of the license, and/or at 
least mention it in the files a bit more than a small note/mention in setup.py. 
Not a blocker I suppose, but might be good to ask upstream to add a note to the
readme at least. :) 

2. rpmlint says: 

trac-mastertickets-plugin.noarch: W: spelling-error %description -l en_US viewable -> view able, view-able, viable
trac-mastertickets-plugin.noarch: W: spelling-error %description -l en_US depgraph -> epigraph
trac-mastertickets-plugin.noarch: W: no-documentation
trac-mastertickets-plugin.src: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
trac-mastertickets-plugin.src: W: spelling-error %description -l en_US viewable -> view able, view-able, viable
trac-mastertickets-plugin.src: W: spelling-error %description -l en_US depgraph -> epigraph
trac-mastertickets-plugin.src: W: invalid-url Source0: trac-mastertickets-plugin-3.0.2-20111215.git43a7537.tar.xz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

All can be ignored. 

I see no blockers, so this package is APPROVED. 

Happy to help co-maintain if you like.

Comment 4 Pierre-YvesChibon 2011-12-16 09:12:29 UTC
Thanks for the review, I will open a ticket to upstream for the license.

New Package SCM Request
=======================
Package Name: trac-mastertickets-plugin
Short Description: Add support for ticket dependencies to Trac
Owners: pingou kevin
Branches: EL6 F16
InitialCC:

Comment 5 Gwyn Ciesla 2011-12-16 13:09:35 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-12-17 17:05:18 UTC
trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.fc16

Comment 7 Fedora Update System 2011-12-17 17:05:29 UTC
trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6

Comment 8 Fedora Update System 2011-12-17 19:26:55 UTC
Package trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5267/trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-01-07 02:30:08 UTC
trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-01-07 23:00:37 UTC
trac-mastertickets-plugin-3.0.2-2.20111215.git43a7537.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.